Bug 443965 - unhandled exception when s3fs is run with no arguments
unhandled exception when s3fs is run with no arguments
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: fuse-s3fs (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Neil Horman
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 443966
  Show dependency treegraph
 
Reported: 2008-04-24 08:50 EDT by Neil Horman
Modified: 2008-05-16 15:24 EDT (History)
0 users

See Also:
Fixed In Version: 0.4-10.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-16 15:24:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neil Horman 2008-04-24 08:50:27 EDT
Description of problem:
When ran with no arguments program throws unhandled exception

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1.run s3fs as /usr/bin/s3fs

  
Actual results:
unhandled exception

Expected results:
usage message displayed & graceful exit

Additional info:
Needs this upstream fix:
http://git.fedorahosted.org/git/s3fs?p=s3fs.git;a=commit;h=916b0644e9c5fba9348dcc8f19ae5f729ef09e18
Comment 1 Neil Horman 2008-04-24 08:52:10 EDT
fixed in -10.fc9. 
Comment 2 Bug Zapper 2008-05-14 06:04:05 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.